Bug 860779 - Radeon HD6570 hangs on VT switching
Radeon HD6570 hangs on VT switching
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 13:04 EDT by Ben Aceler
Modified: 2014-09-13 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 12:23:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Aceler 2012-09-26 13:04:02 EDT
Description of problem: after switching to console and back, the system hangs entirely, until reset button pressed.

How reproducible:
All the time. Checked three times.


Steps to Reproduce:
1. Boot to LiveUSB
2. Switch to second console by ALT+CTRL+F2
3. Login as root
4. Switch back by ALT+CTRL+F1
  
Actual results:
Complete hang up.

Expected results:
Gnome shell desktop.

Additional info:
Comment 1 James Whitlock 2012-09-27 08:49:11 EDT
Also seen on a Radeon HD4570

Details of setup at [https://fedoraproject.org/wiki/Test_Day:2012-09-26_Radeon] user James.

On switching to VT1 screen will enter infinite loop of flashing black and white.

Login in as root is not required. Bug is reproducible by
1. Boot to LiveUSB
2. Switch to second console by ALT+CTRL+F2
4. Switch back by ALT+CTRL+F1
Comment 2 Ben Aceler 2012-09-27 08:56:27 EDT
I didn't have flashing black and white. Just no signal.
Comment 3 James Whitlock 2013-01-15 18:03:51 EST
I just retested on Fedora 18 final release. The issue still exists.
Comment 4 Martin 2013-01-16 12:22:17 EST
Dave, is there anything we can do to help you fixing this bug?
Comment 5 Mads Kiilerich 2013-01-16 14:12:10 EST
Anecdotical evidence: I'm running Ubuntu 12.4 on such a device using evil binary drivers. The screen will remain black or frozen if one just boots. But it works if I just enter the "bios" and exit it.
Comment 6 Martin 2013-01-17 05:55:54 EST
Binary drivers are completely different code than xorg-x11-drv-ati. This is only evidence that HW is working and maybe there is some bug in BIOS. Could you try your enter BIOS and exit scenario with F18 using xorg-x11-drv-ati?
Comment 7 Martin 2013-06-11 12:01:41 EDT
Ben and James, are you able to reproduce it on latest Fedora 18 or 19?
Comment 8 James Whitlock 2013-07-04 17:05:19 EDT
I can no longer produce this issue on an up to date Fedora 19.
Comment 9 Fedora End Of Life 2013-12-21 03:57:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.